mail Namespace Reference

## Classes

class | __IMAP_APPEND
class | __IMAP_AUTHENTICATE
class | __IMAP_CHECK
class | __IMAP_CLOSE
class | __IMAP_COPY
class | __IMAP_CREATE
class | __IMAP_DELETE
class | __IMAP_EXAMINE
class | __IMAP_EXPUNGE
class | __IMAP_FETCH
class | __IMAP_LIST
class | __IMAP_LOGIN
class | __IMAP_LSUB
class | __IMAP_RENAME
class | __IMAP_SEARCH
class | __IMAP_SELECT
class | __IMAP_STARTTLS
class | __IMAP_STATUS
class | __IMAP_STORE
class | __IMAP_SUBSCRIBE
class | __IMAP_UID
class | __IMAP_UNSUBSCRIBE
class | __POP3_DELE
class | __POP3_LAST
class | __POP3_LIST
class | __POP3_NOOP
class | __POP3_PASS
class | __POP3_QUIT
class | __POP3_RETR
class | __POP3_RPOP
class | __POP3_RSET
class | __POP3_STAT
class | __POP3_TOP
class | __POP3_USER
class | __SMTP_AUTH
class | __SMTP_DATA
class | __SMTP_EHLO
class | __SMTP_HELO
class | __SMTP_MAIL
class | __SMTP_NOOP
class | __SMTP_QUIT
class | __SMTP_RCPT
class | __SMTP_RSET
class | __SMTP_VRFY
class | IMAPCommand
class | IMAPService
class | IMAPSession
class | MailDelivery
class | MailFileSystem
class | POP3Command
class | POP3Service
class | POP3Session
class | SMTPCommand
class | SMTPService
class | SMTPSession

## Enumerations

enum | State { CONNECT, READY, MAIL, RCPT, DATA }
enum | AuthState { USER_UNKNOWN, USER_QUERY, USER_SECRET_QUERY, USER_KNOWN }
enum | Mode { WAIT_FOR_DATA, RECEIVE_DATA }

## Enumeration Type Documentation

## AuthState

enum mail::AuthState

Enumerator
USER_UNKNOWN |
USER_QUERY |
USER_SECRET_QUERY |
USER_KNOWN |

## Mode

enum mail::Mode

Enumerator
WAIT_FOR_DATA |
RECEIVE_DATA |

## State

enum mail::State

Enumerator
CONNECT |
READY |
MAIL |
RCPT |
DATA |